Skip to content
API referenceConsumerConsumer.account

Get or bootstrap the consumer account for a project

GET
/consumer/v1/account

Returns the consumer account for the authenticated user within the project identified by X-Project-Id. If the user has not interacted with that project yet, the account is bootstrapped automatically.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/account" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "created_at": "2026-04-12T09:30:00Z",  "default_vspace_id": "44444444-4444-4444-4444-444444444444",  "id": "22222222-2222-2222-2222-222222222222",  "name": "ForestVPN Personal Project",  "project_id": "11111111-1111-1111-1111-111111111111",  "status": "active",  "updated_at": "2026-04-12T10:00:00Z"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}